net.minecraft.item

## Class ItemColored

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemBlock
    - - net.minecraft.item.ItemColored

- Direct Known Subclasses:
    ItemLilyPad

      public class ItemColored
      extends ItemBlock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.ItemBlock

      `field_150939_a`

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemColored(Block p_i45332_1_, boolean p_i45332_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemColored` | `func_150943_a(java.lang.String[] p_150943_1_)`
    `int` | `getColorFromItemStack(ItemStack par1ItemStack, int par2)`
    `IIcon` | `getIconFromDamage(int par1)`
    `int` | `getMetadata(int par1)`
    `java.lang.String` | `getUnlocalizedName(ItemStack par1ItemStack)`

    - ### Methods inherited from class net.minecraft.item.ItemBlock

      `func_150936_a, getCreativeTab, getSpriteNumber, getSubItems, getUnlocalizedName, onItemUse, placeBlockAt, registerIcons, setUnlocalizedName`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getContainerItem, getContainerItem, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getToolClasses, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemColored

          public ItemColored(Block p_i45332_1_,
                     boolean p_i45332_2_)

  - ### Method Detail

    - #### getColorFromItemStack

          public int getColorFromItemStack(ItemStack par1ItemStack,
                                  int par2)

      Overrides:
        `getColorFromItemStack` in class `Item`

    - #### getMetadata

          public int getMetadata(int par1)

      Overrides:
        `getMetadata` in class `Item`

    - #### func_150943_a

          public ItemColored func_150943_a(java.lang.String[] p_150943_1_)

    - #### getUnlocalizedName

          public java.lang.String getUnlocalizedName(ItemStack par1ItemStack)

      Overrides:
        `getUnlocalizedName` in class `ItemBlock`

    - #### getIconFromDamage

          public IIcon getIconFromDamage(int par1)

      Overrides:
        `getIconFromDamage` in class `ItemBlock`